      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SR1302.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 쥻ץȡ
      *  ݡͥ̾  : 쥻ץٽʸñѹܥե˺
      *                      ver.4.8.0 ʹ
      *              : 
      *      ȼ        
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    쥻ץȣǡ
           SELECT  RECE62-FILE     ASSIGN  RECE01PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  RECE62-KEY
                                   FILE    STATUS  IS  STS-RECE62.
      *    쥻ץȡʸñѹܡ˥ǡ
           SELECT  RECE67-FILE     ASSIGN  RECE67PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  RECE67-KEY
                                   FILE    STATUS  IS  STS-RECE67.
      *    쥻ץȡʸñѹܡ˥ǡ
           SELECT  RECE671-FILE    ASSIGN  RECE67PARA
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  SEQUENTIAL
                                   RECORD  KEY     IS  RECE671-KEY
                                   FILE    STATUS  IS  STS-RECE67.
      *    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    쥻ץȣǡ
       FD  RECE62-FILE.
       01  RECE62-REC.
           COPY    "CPRCF062.INC".
      *
      *    쥻ץȡʸñѹܡ˥ǡ
       FD  RECE67-FILE.
       01  RECE67-REC. 
           COPY    "CPRCF067.INC".
      *
      *    쥻ץȡʸñѹܡˡǡ
       FD  RECE671-FILE.
       01  RECE671-REC. 
           COPY    "CPRCF067.INC"  REPLACING  //RECE67//
                                   BY         //RECE671//.
      *    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
       WORKING-STORAGE             SECTION.
      *
      *     쥻ץ٥ե ̾ΰ 
           COPY    "CPRECEDAT1.INC"
                                   REPLACING  //RECEDAT1//
                                   BY         //RECE01//.
      *
           COPY    "CPRECEDAT1.INC"
                                   REPLACING  //RECEDAT1//
                                   BY         //RECE67//.
      *
      *    顼ե ̾ΰ 
           COPY    "CPRECEERR.INC".
      *
      *    쥻ץĢɼ
           COPY    "HCN06.INC".     
      *
      *    ե饰ΰ
       01  STS-AREA.
           03  STS-RECE67          PIC X(02).
           03  STS-RECE62          PIC X(02).
           03  STS-RECEERR         PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-HKNCOMBI        PIC 9(01).
           03  FLG-PRTFLG          PIC 9(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE62          PIC 9(06).
           03  CNT-RECE67          PIC 9(06).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX                 PIC 9(04).
           03  IDY                 PIC 9(04).
           03  IDZ                 PIC 9(04).
      *
      *    ΰ
       01  WRK-AREA.
      *    ѥ᥿ꥢ 
           03  WRK-PARA.
               05  WRK-PARA-SRYYM  PIC X(06).
               05  WRK-PARA-TERMID PIC X(16).
               05  WRK-PARA-SYSYMD PIC X(08).
               05  WRK-PARA-JOBID  PIC 9(07).
               05  WRK-PARA-SHELLID
                                   PIC X(08).
           03  WRK-PARA-HOSPNUM    PIC  9(02).
      *    顼å
           03  WRK-RECEERR         PIC X(200).
      *
      *    Խꥢ
       01  WRK-HENSYU-AREA.
           03  WRK-SYMD            PIC X(08).
           03  WRK-HENYMDG         PIC X(22).
           03  WRK-HENYMD.
               05  WRK-HGO         PIC X(01).
               05  WRK-HYY         PIC Z9.
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HMM         PIC Z9.
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HDD         PIC Z9.
      *
      *    ܥꥢ
        01  WRK-CONS-AREA.
            03  WRK-CONS-GENBAKU   PIC X(03)   VALUE   "019".
            03  WRK-CONS-MARUFUK   PIC X(03)   VALUE   "191".
            03  WRK-CONS-MARUNYU   PIC X(03)   VALUE   "190".         
      *
            03  WRK-CONS-GENBAKU-X PIC X(06)   VALUE   "ڸ".
            03  WRK-CONS-GENBAKU1-X
                                   PIC X(12)   VALUE   "ݡʸ".
            03  WRK-CONS-MARUNYU-X PIC X(06)   VALUE   "".
            03  WRK-CONS-MARUFUK-X PIC X(06)   VALUE   "ʡ".
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ݸȤ߹碌
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *****************************************************************
      *    ֥ץΰ
      *****************************************************************
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¸
           COPY    "MCPDATA.INC".
      *
           COPY    "MCPAREA".
      *
           COPY    "COMMON-SPA".
      *
           COPY    "CPORCSGETTEMP.INC".
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      * 
      *     
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
           INITIALIZE                  SPA-AREA
           INITIALIZE                  RECEERR
      *
      *ѥ᥿åȡ
           UNSTRING    COMMAND-PARAM   DELIMITED  BY  ","
                                       INTO    WRK-PARA
                                               WRK-PARA-HOSPNUM
                                               RECEERR
           END-UNSTRING
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *
      *    ģ£ϣУţ
           PERFORM 900-DBOPEN-SEC
      *
      *    ƥå״ϥåȽ
           MOVE    "STS"               TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID      TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID    TO  JOB-SHELLID
           MOVE    "SR1302"            TO  JOB-PGID
           MOVE    "ñԽ"      TO  JOB-SHELLMSG
           MOVE    SPA-HOSPNUM         TO  JOB-HOSPNUM
           CALL    "ORCSJOB"           USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
      *
      *    եϣУţ
           MOVE    "RECE620"           TO  RECE01PARA-FILE-ID
           MOVE    WRK-PARA-TERMID     TO  RECE01PARA-TERMID
           MOVE    WRK-PARA-HOSPNUM    TO  RECE01PARA-HOSPNUM
      *
           MOVE    "RECE670"           TO  RECE67PARA-FILE-ID
           MOVE    WRK-PARA-TERMID     TO  RECE67PARA-TERMID
           MOVE    WRK-PARA-HOSPNUM    TO  RECE67PARA-HOSPNUM
      *
           INITIALIZE                      SGETTEMP-AREA
           MOVE    RECEERR             TO  SGETTEMP-BASENAMES  (1)
           MOVE    RECE01PARA-BASENAME TO  SGETTEMP-BASENAMES  (2)
           MOVE    RECE67PARA-BASENAME TO  SGETTEMP-BASENAMES  (3)
           CALL    "ORCSGETTEMP"       USING   SGETTEMP-AREA
           MOVE    SPACE               TO  RECEERR
           MOVE    SGETTEMP-FULLNAMES (1)
                                       TO  RECEERR
           MOVE    SGETTEMP-FULLNAMES (2)
                                       TO  RECE01PARA
           MOVE    SGETTEMP-FULLNAMES (3)
                                       TO  RECE67PARA
      *
           OPEN    INPUT               RECE62-FILE
      *
           OPEN    OUTPUT              RECE671-FILE
           CLOSE                       RECE671-FILE
      *
           OPEN    I-O                 RECE67-FILE
      *
      *    եңţ
           PERFORM 900-RECE62-READ-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
           INITIALIZE                      RECE67-REC
           MOVE    SPACE               TO  HCN06
           MOVE    ZERO                TO  FLG-PRTFLG
      *
      *    ȣţԽ
           PERFORM 2001-HC06-HEAD-HENSYU-SEC     
      *
      *    £ϣģԽ
           PERFORM 2002-HC06-BODY-HENSYU-SEC     
      *
      *    ƣϣϣԽ
           PERFORM 2003-HC06-FOOT-HENSYU-SEC     
      *
      *    õԽ
           PERFORM 2004-HC06-TOKKI-HENSYU-SEC     
      *
      *    ¾Խ
           PERFORM 2005-HC06-ETC-HENSYU-SEC     
      *
      *   եϽ
           IF      HCN06            NOT =   SPACE
           OR      FLG-PRTFLG           =   1
               PERFORM 2006-WRITE-SEC
           END-IF
      *              
      *    եңţ
           PERFORM 900-RECE62-READ-SEC
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ȣţԽ
      *****************************************************************
       2001-HC06-HEAD-HENSYU-SEC   SECTION.
      *
      *    ŲʤϿؤȿǤޤ
      *    ȣţģˤĤƤϣȣţģȽŤʤäܤȤʤäƤޤΤ
      *    ղ
      *
      *****MOVE    ALL ""            TO  HCN06-HEAD1-G
      *****MOVE    ALL ""            TO  HCN06-HEAD2-G
      *****MOVE    ALL ""            TO  HCN06-HEAD3-G
           IF      RECE62-TEISYUTUSAKI =   1
               MOVE    ""              TO  RECE67-HEAD4 (1) (59:)
           END-IF                                           
           IF      RECE62-TEISYUTUSAKI =   2
               MOVE    ""              TO  RECE67-HEAD4 (2) (59:)
               MOVE    ""              TO  HCN06-SRYKA
           END-IF                                           
           MOVE    1                   TO  FLG-PRTFLG
      *
           .
       2001-HC06-HEAD-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    £ϣģԽ
      *****************************************************************
       2002-HC06-BODY-HENSYU-SEC   SECTION.
      *
      *****MOVE    ALL ""            TO  HCN06-BODY
      *
      *
      *    ޥޥʡ
           IF      RECE62-TEISYUTUSAKI =   1
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       10
                       OR      RECE62-HKNCOMBI (IDX)  =   ZERO
      *            ݸȹ礻ơ֥θ
                   INITIALIZE                       HKNCOMBI-REC
                   MOVE    RECE62-HOSPNUM       TO  COMB-HOSPNUM
                   MOVE    RECE62-PTID          TO  COMB-PTID
                   MOVE    RECE62-HKNCOMBI (IDX)
                                                TO  COMB-HKNCOMBINUM
                   MOVE    HKNCOMBI-REC         TO  MCPDATA-REC
                   PERFORM 900-HKNCOMBI-INV-SEC
                   IF      FLG-HKNCOMBI         =   ZERO 
                       PERFORM VARYING IDY FROM    1   BY  1
                               UNTIL   IDY >       4
                               OR      COMB-KOHHKNNUM(IDY) =   SPACE    
      *                    ޥΤȤ
                           IF      COMB-KOHHKNNUM (IDY)
                                               =   WRK-CONS-MARUNYU
                               MOVE    WRK-CONS-MARUNYU-X
                                                   TO  HCN06-BODY (47:6)
                               MOVE    4           TO  IDY
                               MOVE    10          TO  IDX    
                           END-IF
      *                    ޥʡΤȤ
                           IF      COMB-KOHHKNNUM (IDY)
                                               =   WRK-CONS-MARUFUK
                               MOVE    WRK-CONS-MARUFUK-X
                                                   TO  HCN06-BODY (47:6)
                               MOVE    4           TO  IDY
                               MOVE    10          TO  IDX    
                           END-IF
                       END-PERFORM
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2002-HC06-BODY-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƣϣϣԽ
      *****************************************************************
       2003-HC06-FOOT-HENSYU-SEC   SECTION.
      *
      *****MOVE    ALL ""            TO  HCN06-FOOT
      *
      *    Ϸܸ͡ʼݤΤȤ
           IF      RECE62-TEISYUTUSAKI =   1
           AND     RECE62-RJNHKNID     >   ZERO
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                       OR      RECE62-ETC-KOHNUM (IDX)  =   SPACE
                   IF      RECE62-ETC-KOHNUM  (IDX) 
                                           =   WRK-CONS-GENBAKU
                        MOVE    WRK-CONS-GENBAKU-X
                                           TO  HCN06-FOOT
                        MOVE    4          TO  IDX  
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2003-HC06-FOOT-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    õԽ
      *****************************************************************
       2004-HC06-TOKKI-HENSYU-SEC   SECTION.
      *
      *    Ϸܸ͡ʹݤΤȤ
           IF      RECE62-TEISYUTUSAKI =   2
           AND     RECE62-RJNHKNID     >   ZERO
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                       OR     RECE62-ETC-KOHNUM (IDX)  =   SPACE
                   IF      RECE62-ETC-KOHNUM  (IDX) 
                                           =   WRK-CONS-GENBAKU
                       MOVE    WRK-CONS-GENBAKU1-X
                                               TO  HCN06-TOKKI (1)
                       MOVE    "13"            TO  RECE67-TOKKI (1)
                       MOVE    4           TO  IDX  
                   END-IF    
               END-PERFORM
           END-IF                                           
           .
       2004-HC06-TOKKI-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ¾Խ 
      *****************************************************************
       2005-HC06-ETC-HENSYU-SEC   SECTION.
      *
      *    ԽܤϽͰʳΤȤΤޤԽޤ
      *    ؤȿǤޤ
      *
      *    ճˤĤƤRECE67-KYURATE򵯻ޤ
      *    ΤȤΤRECE67-KYURATE999ԽƲ
      *    ץǤϹݤξϷݸȤճɽ
      *    褦Խθ񤬤Ȥϣɽ褦Խ
      *    Ƥޤ 
      *
      *    ôֹ桦ֹϤɤ餫ԽƤ
      *    ξ֤ޤ
      *    ץǤôֹˡֹΤԽƤޤ
      *    ֹԽƤʤΤǶǰޤ
      *
      *    ܤε󡦿ܤγƹܤˤĤƤ0ʳͤꤵƤ
      *    Сꤵ줿ͤԽޤ
      *    ͤ˺ͤꤵƤ0Խޤ
      *    ץǤϹݤξоݤθô0ξ0
      *    Խ褦ꤷƤޤ
      *
      *    쥻ŤΰôˤĤƤͤ˺ͤꤵƤ
      *    0ԽޤͰʳξͤԽϹԤޤ
      *    ץǤϹݤξоݤθôۤ0ξ0
      *    Խ褦ꤷƤޤ̾ϵܤʤ
      *    
      *    ճ
           IF      RECE62-TEISYUTUSAKI =   "2"
           AND     RECE62-RJNHKNID     >   ZERO
               MOVE    RECE62-KYURATE      TO  RECE67-KYURATE
               MOVE    1                   TO  FLG-PRTFLG
           END-IF             
           IF      RECE62-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                   IF      RECE62-KOHNUM (IDX) =   "190"
                       MOVE    999                 TO  RECE67-KYURATE
                       MOVE    1                   TO  FLG-PRTFLG
                   END-IF
               END-PERFORM
           END-IF
      *
      *    ôֹ桦ֹ
           IF      RECE62-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                   IF      RECE62-KOHNUM (IDX) =   "190"
                       MOVE    "19"        TO  RECE67-KOHFTNJANUM (IDX)
                       MOVE    1           TO  FLG-PRTFLG
                       MOVE    4           TO  IDX
                   END-IF
               END-PERFORM
           END-IF
      *
      *    ܤεա
           IF      RECE62-TEISYUTUSAKI =   "2"
               PERFORM VARYING IDX FROM    1   BY  1
                       UNTIL   IDX >       4
                 IF      RECE62-KOHNUM (IDX)   =   "190"
                   COMPUTE IDY     =   IDX     +   1
      *    
                   IF      RECE62-JNISSU (IDY)   =   ZERO
                       MOVE    99          TO  RECE67-JNISSU     (IDY)
                   END-IF
      *
      *    
                   IF      RECE62-TOTALTEN (IDY) =   ZERO
                       MOVE    99999999    TO  RECE67-TOTALTEN    (IDY)
                   END-IF
      *
      *    ô
                   IF      RECE62-FTNMONEY (IDY)   =   ZERO
                       MOVE    999999999   TO  RECE67-FTNMONEY   (IDY)
                       MOVE    999999999   TO  RECE67-RECEDEN-FTNMONEY
                                                                 (IDY)
                   END-IF
      *
      *    
                   IF      RECE62-JNISSU (IDY)   =   ZERO
                       MOVE    99          TO  RECE67-SHOKUJINISSU (IDY)
                   END-IF
      *
      *    
                   IF      RECE62-SHOKUJIFTN (IDY)   =   ZERO
                       MOVE    999999999   TO
                                           RECE67-SHOKUJIRYOYOHI (IDY)
                   END-IF
      *
      *    ɸô
                   IF      RECE62-SHOKUJIFTN (IDY)   =   ZERO
                       MOVE    999999999   TO  RECE67-SHOKUJIFTN (IDY)
                   END-IF
      *
                   MOVE    1           TO  FLG-PRTFLG
                 END-IF
             END-PERFORM
         END-IF       
           .
       2005-HC06-ETC-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *   եϽ
      *****************************************************************
       2006-WRITE-SEC              SECTION.
      *
           MOVE    RECE62-KEY          TO  RECE67-KEY
      *
           MOVE    HCN06               TO  RECE67-PRTDATA
      *
           WRITE   RECE67-REC
           ADD     1                   TO  CNT-RECE67
           .
       2006-WRITE-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
      *    եạ̃ϣӣŽ
           CLOSE                       RECE62-FILE
           CLOSE                       RECE67-FILE     
      *
      *    ƥå״λ
           MOVE    "STE"               TO  SJOBKANRI-MODE
           INITIALIZE                      JOBKANRI-REC
           MOVE    WRK-PARA-JOBID      TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID    TO  JOB-SHELLID
           MOVE    SPA-HOSPNUM         TO  JOB-HOSPNUM
           CALL    "ORCSJOB"           USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
      *
           PERFORM 900-DBDISCONNECT-SEC
      *
           DISPLAY "RECE62  IN  "      CNT-RECE62
           DISPLAY "RECE67  CNT "      CNT-RECE67
           DISPLAY "*** SR1302 END ***"
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC          SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT          RECEERR-FILE
      *
               MOVE    WRK-RECEERR     TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִλ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
                                       SPA-AREA
           END-IF
      *                             
           MOVE    1                   TO  FLG-END
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ѵ
      *****************************************************************
       510-YMD-HENSYU-SEC          SECTION.
      *    ܸѴ
           INITIALIZE                  STS-AREA-DAY
           INITIALIZE                  LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
      *     MOVE    LNK-DAY2-EDTYMD3   TO  WRK-HENYMDG
           .
       510-YMD-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    쥻ץȣǡ縡
      *****************************************************************
       900-RECE62-READ-SEC         SECTION.
      *
           READ    RECE62-FILE         NEXT
               AT  END
                   MOVE    1           TO  FLG-END
               NOT AT  END
                   ADD     1           TO  CNT-RECE62
           END-READ
      *
           .
       900-RECE62-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸȹ礻ޥɹ
      *****************************************************************
       900-HKNCOMBI-INV-SEC        SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_hkncombi"      TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_hkncombi"      TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-HKNCOMBI
                   MOVE    MCPDATA-REC         TO  HKNCOMBI-REC
               ELSE
                   MOVE    1                   TO  FLG-HKNCOMBI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-HKNCOMBI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_hkncombi"      TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       900-HKNCOMBI-INV-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       900-DBOPEN-SEC                SECTION.
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBOPEN"        TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBSTART"       TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       900-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBCOMMIT"      TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           MOVE    LOW-VALUE       TO  MCP-TABLE
                                       MCP-PATHNAME
           MOVE    "DBDISCONNECT"  TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
           .
       900-DBDISCONNECT-EXT.
           EXIT.
